Bring in Make.rule to build w/o proftp build tree installed.
---
Index: proftpd-mod-proxy/Make.rules
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ proftpd-mod-proxy/Make.rules	2021-03-07 23:17:14.518195384 +0100
@@ -0,0 +1,116 @@
+prefix=/usr
+exec_prefix=/usr
+bindir=${exec_prefix}/bin
+datadir=${datarootdir}
+libdir=${prefix}/lib/x86_64-linux-gnu
+datarootdir=${prefix}/share
+sbindir=${exec_prefix}/sbin
+sysconfdir=/etc/proftpd
+includedir=${prefix}/include
+libexecdir=/usr/lib/proftpd
+localedir=${datarootdir}/locale
+localstatedir=/run
+pkgconfigdir=${prefix}/lib/x86_64-linux-gnu/pkgconfig
+mandir=/usr/share/man
+
+AR=ar
+CC=gcc
+PLATFORM=-DLINUX 
+LDFLAGS=-L$(top_srcdir)/lib -L$(top_builddir)/lib -Wl,-z,relro -rdynamic  -L/usr/lib/x86_64-linux-gnu/ -L/usr/lib/x86_64-linux-gnu $(shell dpkg-buildflags --get LDFLAGS)
+LIBEXECDIR=/usr/lib/proftpd
+LIBS=-lsupp -lattr -lnsl -lresolv -lresolv -lcrypt -ldl -lhiredis -lmemcachedutil -lmemcached  -pthread -lacl  -lpcreposix -lpcre -lssl -lcrypto -lsodium -lcap  -lpam -ldl 
+LIBTOOL=libtool
+MAKEDEPEND=makedepend -Y
+RANLIB=ranlib
+
+CURSES_LIBS=-lncursesw
+UTILS_LIBS= -ltinfo -lsupp -lattr -lnsl -lresolv -lresolv -lcrypt -ldl -lhiredis -lmemcachedutil -lmemcached  -pthread
+
+INSTALL=/usr/bin/install -c
+INSTALL_STRIP=
+INSTALL_USER=root
+INSTALL_GROUP=root
+INSTALL_BIN=$(INSTALL) $(INSTALL_STRIP) -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 0755
+INSTALL_SBIN=$(INSTALL) $(INSTALL_STRIP) -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 0755
+INSTALL_MAN=$(INSTALL) -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 0644
+
+RM=rm -f
+SHELL=/bin/bash
+
+ENABLE_NLS=1
+ENABLE_TESTS=""
+
+BUILD_VERSION=1.3.7a
+RELEASE_VERSION=1.3.7a
+RC_VERSION=
+
+# Directory include paths.
+#
+INCLUDES=-I.. -I$(top_srcdir)/include -I$(top_builddir)/include -I/usr/include/mariadb/mysql -I/usr/include/mariadb -I/usr/include/postgresql -I/usr/include/mariadb -I/usr/include/mariadb/mysql -I/usr/include/postgresql
+
+# Preprocessor compilation flags.
+#
+CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2 -DHAVE_CONFIG_H $(DEFAULT_PATHS) $(PLATFORM) $(INCLUDES) $(shell dpkg-buildflags --get CPPFLAGS)
+ADDL_CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2
+
+# Our compiler flags.
+#
+CFLAGS=-g2 -g -O2 -fdebug-prefix-map=/home/hille/devel/proftp_debian/git/proftpd=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -fno-omit-frame-pointer -Werror=implicit-function-declaration $(shell dpkg-buildflags --get CFLAGS)
+DEFINES=$(PLATFORM)
+
+# Module-specific libraries to link against.  These libraries may be
+# conditional, i.e. depending on the module-specific configure script and
+# options.
+MODULE_LIBS_FILE=$(top_builddir)/module-libs.txt
+
+OBJS=main.o timers.o sets.o pool.o privs.o str.o table.o regexp.o configdb.o \
+     dirtree.o expr.o signals.o support.o netaddr.o inet.o child.o parser.o \
+     log.o lastlog.o xferlog.o bindings.o netacl.o class.o scoreboard.o help.o \
+     feat.o netio.o cmd.o response.o ascii.o data.o modules.o stash.o \
+     display.o auth.o fsio.o mkhome.o ctrls.o event.o var.o throttle.o \
+     session.o trace.o encode.o proctitle.o filter.o pidfile.o env.o random.o \
+     version.o rlimit.o wtmp.o json.o jot.o memcache.o redis.o error.o
+
+BUILD_OBJS=src/main.o src/timers.o src/sets.o src/pool.o src/privs.o src/str.o \
+           src/table.o src/regexp.o src/configdb.o src/dirtree.o src/expr.o \
+           src/signals.o src/support.o src/netaddr.o src/inet.o src/child.o \
+           src/parser.o src/log.o src/lastlog.o src/xferlog.o src/bindings.o \
+           src/netacl.o src/class.o src/scoreboard.o src/help.o src/feat.o \
+           src/netio.o src/cmd.o src/response.o src/ascii.o src/data.o \
+           src/modules.o src/stash.o src/display.o src/auth.o src/fsio.o \
+           src/mkhome.o src/ctrls.o src/event.o src/var.o src/throttle.o \
+           src/session.o src/trace.o src/encode.o src/proctitle.o src/filter.o \
+           src/pidfile.o src/env.o src/random.o src/version.o src/rlimit.o \
+           src/wtmp.o src/json.o src/jot.o src/memcache.o src/redis.o \
+           src/error.o
+
+SHARED_MODULE_DIRS= contrib/mod_load contrib/mod_wrap2 contrib/mod_sftp contrib/mod_auth_otp contrib/mod_snmp
+SHARED_MODULE_LIBS= -lsodium
+SHARED_MODULE_OBJS=mod_unique_id.la mod_site_misc.la  mod_ban.la mod_quotatab.la mod_sql.la mod_sql_mysql.la mod_sql_postgres.la mod_sql_sqlite.la mod_sql_odbc.la mod_dynmasq.la mod_quotatab_sql.la mod_ldap.la mod_quotatab_ldap.la mod_ratio.la mod_tls.la mod_rewrite.la mod_radius.la mod_wrap.la  mod_wrap2_file.la mod_wrap2_sql.la mod_quotatab_file.la mod_quotatab_radius.la mod_facl.la mod_ctrls_admin.la mod_copy.la mod_deflate.la mod_ifversion.la mod_geoip.la mod_exec.la  mod_sftp_pam.la mod_sftp_sql.la mod_shaper.la mod_sql_passwd.la mod_ifsession.la  mod_tls_redis.la mod_wrap2_redis.la mod_redis.la mod_memcache.la mod_tls_memcache.la mod_readme.la  mod_digest.la mod_ident.la mod_log_forensic.la mod_qos.la mod_statcache.la mod_tls_fscache.la mod_tls_shmcache.la
+
+BUILD_SHARED_MODULE_OBJS=modules/mod_tls_shmcache.la modules/mod_tls_fscache.la modules/mod_statcache.la modules/mod_qos.la modules/mod_log_forensic.la modules/mod_ident.la modules/mod_digest.la modules/mod_snmp.la modules/mod_readme.la modules/mod_tls_memcache.la modules/mod_memcache.la modules/mod_redis.la modules/mod_wrap2_redis.la modules/mod_tls_redis.la modules/mod_auth_otp.la modules/mod_ifsession.la modules/mod_sql_passwd.la modules/mod_shaper.la modules/mod_sftp_sql.la modules/mod_sftp_pam.la modules/mod_sftp.la modules/mod_exec.la modules/mod_geoip.la modules/mod_ifversion.la modules/mod_deflate.la modules/mod_copy.la modules/mod_ctrls_admin.la modules/mod_facl.la modules/mod_quotatab_radius.la modules/mod_quotatab_file.la modules/mod_wrap2_sql.la modules/mod_wrap2_file.la modules/mod_wrap2.la modules/mod_wrap.la modules/mod_radius.la modules/mod_rewrite.la modules/mod_tls.la modules/mod_ratio.la modules/mod_quotatab_ldap.la modules/mod_ldap.la modules/mod_quotatab_sql.la modules/mod_dynmasq.la modules/mod_sql_odbc.la modules/mod_sql_sqlite.la modules/mod_sql_postgres.la modules/mod_sql_mysql.la modules/mod_sql.la modules/mod_quotatab.la modules/mod_ban.la modules/mod_load.la modules/mod_site_misc.la modules/mod_unique_id.la 
+
+STATIC_MODULE_DIRS=""
+STATIC_MODULE_OBJS=mod_core.o mod_xfer.o mod_rlimit.o mod_auth_unix.o mod_auth_file.o mod_auth.o mod_ls.o mod_log.o mod_site.o mod_delay.o mod_facts.o mod_dso.o mod_auth_pam.o    mod_cap.o mod_ctrls.o mod_lang.o
+
+BUILD_STATIC_MODULE_ARCHIVES=
+BUILD_STATIC_MODULE_OBJS=modules/mod_core.o modules/mod_xfer.o modules/mod_rlimit.o modules/mod_auth_unix.o modules/mod_auth_file.o modules/mod_auth.o modules/mod_ls.o modules/mod_log.o modules/mod_site.o modules/mod_delay.o modules/mod_facts.o modules/mod_dso.o modules/mod_auth_pam.o    modules/mod_cap.o modules/mod_ctrls.o modules/mod_lang.o modules/module_glue.o
+
+FTPCOUNT_OBJS=ftpcount.o scoreboard.o misc.o
+BUILD_FTPCOUNT_OBJS=utils/ftpcount.o utils/scoreboard.o utils/misc.o
+
+FTPDCTL_OBJS=ftpdctl.o pool.o netaddr.o log.o ctrls.o
+BUILD_FTPDCTL_OBJS=src/ftpdctl.o src/pool.o src/str.o src/netaddr.o src/log.o \
+  src/ctrls.o
+
+FTPSCRUB_OBJS=ftpscrub.o scoreboard.o misc.o
+BUILD_FTPSCRUB_OBJS=utils/ftpscrub.o utils/scoreboard.o utils/misc.o
+
+FTPSHUT_OBJS=ftpshut.o
+BUILD_FTPSHUT_OBJS=utils/ftpshut.o
+
+FTPTOP_OBJS=ftptop.o scoreboard.o misc.o
+BUILD_FTPTOP_OBJS=utils/ftptop.o utils/scoreboard.o utils/misc.o
+
+FTPWHO_OBJS=ftpwho.o scoreboard.o misc.o
+BUILD_FTPWHO_OBJS=utils/ftpwho.o utils/scoreboard.o utils/misc.o
Index: proftpd-mod-proxy/Makefile.in
===================================================================
--- proftpd-mod-proxy.orig/Makefile.in	2021-03-07 23:17:14.526195417 +0100
+++ proftpd-mod-proxy/Makefile.in	2021-03-07 23:17:14.518195384 +0100
@@ -2,7 +2,7 @@
 top_srcdir=../..
 srcdir=@srcdir@
 
-include $(top_srcdir)/Make.rules
+include Make.rules
 
 .SUFFIXES: .la .lo
 
@@ -64,7 +64,7 @@
   lib/proxy/ftp/xfer.lo
 
 # Necessary redefinitions
-INCLUDES=-I. -I./include -I../.. -I../../include @INCLUDES@
+INCLUDES=-I. -I./debian/proftp_code -I../.. -Iinclude -I/usr/include/proftpd @INCLUDES@
 CPPFLAGS= $(ADDL_CPPFLAGS) -DHAVE_CONFIG_H $(DEFAULT_PATHS) $(PLATFORM) $(INCLUDES)
 LDFLAGS=-L../../lib @LIBDIRS@
 
@@ -75,7 +75,7 @@
 	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CPPFLAGS) $(CFLAGS) $(SHARED_CFLAGS) -c $< -o $@
 
 shared: $(SHARED_MODULE_OBJS)
-	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $(MODULE_NAME).la $(SHARED_MODULE_OBJS) -rpath $(LIBEXECDIR) $(LDFLAGS) $(SHARED_LDFLAGS) $(SHARED_MODULE_LIBS) `cat $(MODULE_NAME).c | grep '$$Libraries:' | sed -e 's/^.*\$$Libraries: \(.*\)\\$$/\1/'`
+	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $(MODULE_NAME).la $(SHARED_MODULE_OBJS) -rpath $(LIBEXECDIR) $(SHARED_LDFLAGS) $(SHARED_MODULE_LIBS) `cat $(MODULE_NAME).c | grep '$$Libraries:' | sed -e 's/^.*\$$Libraries: \(.*\)\\$$/\1/'`
 
 static: $(MODULE_OBJS)
 	test -z "$(MODULE_LIBS)" || echo "$(MODULE_LIBS)" >> $(MODULE_LIBS_FILE)
